> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Identity

> Get a Identity



## OpenAPI

````yaml v1/api/business.json get /identities/{identity_uid}
openapi: 3.1.0
info:
  title: ED's Public API
  description: ED's Public API
  version: 26.622.88
servers:
  - url: https://api.edges.run/v1/
security:
  - APIKeyHeader: []
paths:
  /identities/{identity_uid}:
    get:
      tags:
        - Core
      summary: Get one specific identity by UID.
      description: Get a Identity
      operationId: get_identity
      parameters:
        - name: identity_uid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Identity Uid
      responses:
        '200':
          description: Successfully retrieved the requested identity.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_IdentityPublic_'
              example:
                uid: 123e4567-e89b-12d3-a456-426614174000
                created_at: '2023-10-01T12:00:00Z'
                workspace_uid: 5678e456-e89b-12d3-a456-426614174001
                name: John Doe
                type: standard
                timezone: Europe/Paris
                is_active: 'true'
                integrations:
                  - linkedin
        '404':
          description: Identity doesn't exist.
          content:
            application/json:
              example:
                message: Identity not found.
                error_label: IDENTITY_404_NOT_FOUND
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GenericResponse_IdentityPublic_:
      allOf:
        - $ref: '#/components/schemas/IdentityPublicModel'
      title: GenericResponse[IdentityPublic]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IdentityPublicModel:
      properties:
        uid:
          type: string
          format: uuid
          title: Uid
        workspace_uid:
          type: string
          format: uuid
          title: Workspace Uid
        created_at:
          type: string
          format: date-time
          title: Created At
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        timezone:
          type: string
          title: Timezone
        type:
          $ref: '#/components/schemas/IdentityType'
        is_active:
          type: boolean
          title: Is Active
          default: false
        integrations:
          items:
            type: string
          type: array
          title: Integrations
      type: object
      required:
        - workspace_uid
        - timezone
        - type
      title: IdentityPublic
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IdentityType:
      type: string
      enum:
        - standard
        - engagement
      title: IdentityType
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key required for authentication. Add your API key in the X-API-Key
        header.

````